$susy: (
	columns: 12,
	gutters: 1/2,
	math: fluid,
	gutter-position: inside,
);
::selection {
  background-color: $base;
	color: #fff;
}
section{
	overflow: hidden;
	position: relative;
	min-height: 100vh;
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	h1{
		font-size: 32px;
		@include breakpoint($b-768){
			font-size: 38px;
		}
	}
	h2{
		font-size: 28px;
	}
}
.sctn-ttl{
	text-transform: uppercase;
	border-bottom: 10px solid;
	display: inline-block;
	padding-bottom: 10px;
}
.site-footer{
	overflow: hidden;
	position: relative;
	min-height: 100vh;
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: $bl;
	.container{
		@include span(90%);
		text-align: center;
		@include breakpoint($b-768){
			@include span(6);
		}
	}
	h1{
		font-size: 32px;
		@include breakpoint($b-768){
			font-size: 38px;
		}
	}
	h2{
		font-size: 28px;
		margin-bottom: 10px;
		margin-top: 35px;
	}
}
.about {
	background-color: $pnk;
	color: $base;
	.container{
		@include span(90%);
		text-align: center;
		@include breakpoint($b-768){
			@include span(6);
		}
	}
}
.milence{
	position: absolute;
	left:50%;
	width: 10vw;
	height: 10vw;
	box-shadow: 0px 0px 0px 0.7vw $base inset, 0px 0px 0px 1.5vw $bl;
	border: 1vw solid rgba(0, 0, 0, 0);
	transform: translateY(-50%) translateX(-50%) rotate(45deg) ;
	top: 0;
	&.b{
		top: auto;
		bottom: 0;
		transform:  translateY(50%) translateX(-50%) rotate(45deg);
	}
	&:after{
		content: "";
		position: absolute;
		z-index: 0;
		display: block;
		left: 50%;
		top: 50%;
		transform: translateX(-50%) translateY(-50%);
		width: 4vw;
		height: 4vw;
		background-color: $bl;
	}
}
.icon-holder{
	width: 90px;
	height: 90px;
	margin: 50px auto;
	position: relative;
	display: flex;
  align-items: center;
  justify-content: center;
	&:before{
		content: "";
		position: absolute;
		display: block;
		z-index: 0;
		top: 5px;
		left: 5px;
		bottom: 5px;
		right: 5px;
		box-shadow: 0px 0px 0px 10px $pnk;
		transform: rotate(45deg);
		border-radius: 0;
		transition: all 0.5s;
	}

	img{
		max-width: 54px;
		filter: invert(100%);
	}
}
.spcf{
	background-color: $base;
	color: #fff;
	text-align: center;
	.container{
		@include span(90%);
	}
	.row{
		display: flex;
		flex-wrap: wrap;
		flex-direction: row;
		justify-content: center;
	}
	.col{
		@include span(10);
		flex: 0 0 83%;
		@include breakpoint($b-768){
			@include span(4);
			flex: 0 0 33%;
		}
		&:hover{
			.icon-holder{
				&:before{
					content: "";
					position: absolute;
					display: block;
					z-index: 0;
					top: 5px;
					left: 5px;
					bottom: 5px;
					right: 5px;
					box-shadow: 0px 0px 0px 10px $pnk;
					transform: rotate(360deg);
					border-radius: 100%;
				}
			}
		}
	}

}

.contact{
	display: inline-block;
	border-radius: 3px;
	border: 1px solid #21bd53;
	background-color: #2dbf5b;
	height: 46px;
	padding: 10px;
	min-width: 153px;
	box-shadow:0px 0px 0px 0px #047d2a, 0px 2px 4px 0px rgba(0,0,0,0.25), 0px 1px 1px 0px rgba(255, 255, 255, 0.33) inset, 0px -3px 3px -2px rgba(0, 0, 0, 0.25) inset;
	text-decoration: none;
	transform: perspective(480px) rotateX(0deg) translateY(0px);
	transition: all 0.3s;
	&:before{
		content: "🌏";
		color: #047d2a;
		text-shadow: 0px 1px 1px rgba(255, 255, 255, 0.5);
	}
	&:after{
		content: "Hello World";
		color:#fff;
		font-family: 'Roboto';
		padding-left: 10px;
		text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.65);
    font-weight: 300;
	}
	&:hover{
		box-shadow:0px 3px 0px 0px #047d2a, 0px 2px 4px 0px rgba(0,0,0,0.25), 0px 1px 1px 0px rgba(255, 255, 255, 0.33) inset, 0px -3px 3px -2px rgba(0, 0, 0, 0.25) inset;
		transform: perspective(480px) rotateX(26deg) translateY(0px);
	}
	&:focus{
		box-shadow:0px 3px 0px 0px #047d2a, 0px 2px 4px 0px rgba(0,0,0,0.25), 0px 1px 1px 0px rgba(255, 255, 255, 0.33) inset, 0px -3px 3px -2px rgba(0, 0, 0, 0.25) inset;
		transform: perspective(480px) rotateX(26deg) translateY(0px);
	}
	&:active{
		box-shadow:0px 1px 0px 0px #047d2a, 0px 2px 4px 0px rgba(0,0,0,0.25), 0px 1px 1px 0px rgba(255, 255, 255, 0.33) inset, 0px -3px 3px -2px rgba(0, 0, 0, 0.25) inset;
		transform: perspective(480px) rotateX(26deg) translateY(2px);
	}
}
